Name:           btanks
Version:        0.8.7686
Release:        10%{?dist}
Summary:        Funny battle on your desk
Summary(ru):    Веселая маленькая война на столе

Group:          Amusements/Games
# Libraries clunk, mrt and sdlx are under LGPLv2+, all other sources are GPLv2+
License:        GPLv2+ and LGPLv2+
URL:            http://btanks.sourceforge.net/
# Remove RPath from binaries
Patch0:         %{name}-0.8-remove-rpath.patch
# Disable video previews of map levels (we don't distribute video anyway)
Patch1:         %{name}-0.8-disable-smpeg.patch
# Rename libbt.so to libbtanks.so because of conflict with blackbox
# http://sourceforge.net/tracker/?func=detail&atid=843095&aid=2722914&group_id=167474
Patch2:         %{name}-0.8-rename-lib.patch
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
Source1:        %{name}.desktop
Source2:        bted.desktop
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

Requires:       %{name}-data = %{version}-%{release}
BuildRequires:  mesa-libGL-devel SDL-devel SDL_image-devel expat-devel
BuildRequires:  libvorbis-devel lua-devel zlib-devel scons zip dos2unix
BuildRequires:  desktop-file-utils
# Disabled video previews of map levels
#BuildRequires:  smpeg-devel

%description
Battle Tanks is a funny battle on your desk, where you can choose one of three
vehicles and eliminate your enemy using the whole arsenal of weapons. has
original cartoon-like graphics and cool music, it is fun and dynamic, it has
several network modes for deathmatch and cooperative.
What else is needed to have fun with your friends?

And all is packed and ready for you in Battle Tanks.

%description -l ru
«Battle Tanks» — это веселая маленькая война на столе, где вы можете выбрать
одну из трех доступных боевых машин и, используя весь доступный арсенал
вооружения, уничтожать своих противников. Это оригинальная графика в
мультипликационном стиле, забойная музыка, юмор, динамичность и большое
количество оружия. Это сетевые потасовки и кооперативные миссии в разнообразных
игровых локациях.
Что еще нужно игроку, чтобы отлично провести время с друзьями?

Все это вы найдете в «Battle Tanks».


%package        data
Summary:        Data files for %{name}
Group:          Amusements/Games
Requires:       %{name} = %{version}-%{release}

BuildArch:      noarch

%description    data
The %{name}-data package contains data files that are needed for
running %{name}.


%prep
%setup -q
%patch0 -p1 -b .remove-rpath
%patch1 -p1 -b .disable-smpeg
%patch2 -p1 -b .rename-lib
dos2unix -k *.txt ChangeLog *.url LICENSE EXCEPTION

iconv -f latin1 -t utf-8 EXCEPTION > EXCEPTION.new
touch -r EXCEPTION{,.new}
mv -f EXCEPTION{.new,}

iconv -f latin1 -t utf-8 README-fr.txt > README-fr.txt.new
touch -r README-fr.txt{,.new}
mv -f README-fr.txt{.new,}

iconv -f cp1251 -t utf-8 README-ru.txt > README-ru.txt.new
touch -r README-ru.txt{,.new}
mv -f README-ru.txt{.new,}


%build
scons %{?_smp_mflags} \
        prefix=%{_prefix} \
        lib_dir=%{_libdir} \
        plugins_dir=%{_libdir}/%{name} \
        resources_dir=%{_datadir}/%{name} \
        mode=release \
        CFLAGS="%{optflags}" \
        CXXFLAGS="%{optflags}" \
        enable_lua=true


%install
rm -rf %{buildroot}

# binaries
install -dm 755 %{buildroot}%{_bindir}
install -m 755 build/release/engine/%{name} %{buildroot}%{_bindir}
install -m 755 build/release/editor/bted %{buildroot}%{_bindir}

# libs
install -dm 755 %{buildroot}%{_libdir}/%{name}
install -m 755 build/release/engine/libbtanks.so %{buildroot}%{_libdir}
install -m 755 build/release/mrt/libmrt.so %{buildroot}%{_libdir}
install -m 755 build/release/sdlx/libsdlx.so %{buildroot}%{_libdir}
install -m 755 build/release/clunk/libclunk.so %{buildroot}%{_libdir}

# plugins
install -m 755 build/release/objects/libbt_objects.so %{buildroot}%{_libdir}/%{name}

# data-files (see pack-resources.sh)
install -dm 755 %{buildroot}%{_datadir}/%{name}
install -dm 755 %{buildroot}%{_datadir}/%{name}/data
pushd data
find . \( -wholename \*.svn\* -or -name \*.wav \) -exec rm -rf {} \;
cp -pR * %{buildroot}%{_datadir}/%{name}/data
#zip -q -0 -r ../resources.dat * -x \*.svn\* -x \*.wav
popd
#install -m 644 resources.dat %{buildroot}%{_datadir}/%{name}

# icon
install -dm 755 %{buildroot}%{_datadir}/pixmaps
install -p -m 644 data/tiles/icon.png %{buildroot}%{_datadir}/pixmaps/%{name}.png

# menu-entries
install -dm 755 %{buildroot}%{_datadir}/applications
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{SOURCE1}
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{SOURCE2}


%clean
rm -rf %{buildroot}


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc README-{editor,en,fr,ru}.txt ChangeLog *.url LICENSE EXCEPTION
%{_bindir}/%{name}
%{_bindir}/bted
%{_libdir}/*.so
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/*.so
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop
%{_datadir}/applications/bted.desktop

%files data
%defattr(-,root,root,-)
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/data


%changelog
* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.7686-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Apr 03 2009 Alexey Torkhov <atorkhov@gmail.com> - 0.8.7686-10
- Make btanks-data noarch
- Rename libbt.so to libbtanks.so because of conflict with blackbox

* Wed Mar 18 2009 Alexey Torkhov <atorkhov@gmail.com> - 0.8.7686-8
- Package data as separate files instead of big zip blob

* Tue Mar 17 2009 Alexey Torkhov <atorkhov@gmail.com> - 0.8.7686-7
- Add forgotten desktop-file-utils build requires
- Fixing bad BuildRoot

* Tue Mar 17 2009 Alexey Torkhov <atorkhov@gmail.com> - 0.8.7686-6
- Fixed source url
- Properly installing desktop files

* Tue Mar 17 2009 Alexey Torkhov <atorkhov@gmail.com> - 0.8.7686-5
- Add license for libraries

* Tue Mar 17 2009 Alexey Torkhov <atorkhov@gmail.com> - 0.8.7686-4
- Split data to subpackage instead of libs

* Tue Mar 17 2009 Alexey Torkhov <atorkhov@gmail.com> - 0.8.7686-3
- Add patch backups
- Simplify scripts a bit
- Move libs to -libs subpackage to ensure better work in multilib environment
- Cleanier remove-smpeg patch

* Wed Mar 11 2009 Alexey Torkhov <atorkhov@gmail.com> - 0.8.7686-2
- Updated package to conform packaging guidelines

* Tue Oct 28 2008 Arkady L. Shane <ashejn@yandex-team.ru> - 0.8.7686-1
- update to 0.8.7686
